Zum Hauptinhalt springen
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
builds
/
{build_id}
/
logs
Vorsignierte URL für die Protokolldatei des Builds
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/logs \
  --header 'Authorization: Bearer <token>'
{
  "expires_at": 123,
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung ManageRepoBlueprints auf Ebene der Organisation.

Verhalten

Gibt eine vorsignierte URL zum Herunterladen der Protokolldatei des Builds zurück.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

build_id
string
erforderlich

Antwort

Erfolgreiche Antwort

Wiederverwendbare Antwort mit vorsignierter URL (10 Minuten TTL).

expires_at
integer
erforderlich

Unix-Zeitstempel, zu dem die URL abläuft.

url
string
erforderlich

Vorsignierte GET-URL (HTTPS).